-author("MohammadIzady").

-ifdef(TEST).
-define(INPIN_LOG(B), ct:print("~p", [B])).
-define(INPIN_LOG_DEBUG(F, B), ct:print(F, B)).
-define(INPIN_LOG_INFO(F, B), ct:print(F, B)).
-define(INPIN_LOG_ERROR(F, B), ct:print(F, B)).
-define(INPIN_LOG_FAIL(F, B), ct:print(F, B)).
-else.
-define(INPIN_LOG(B), lager:debug("~p", [B])).
-define(INPIN_LOG_DEBUG(F, B), lager:debug(F, B)).
-define(INPIN_LOG_INFO(F, B), lager:info(F, B)).
-define(INPIN_LOG_ERROR(F, B), lager:error(F, B)).
-define(INPIN_LOG_FAIL(F, B), lager:critical(F, B)).
-endif.

-define(DEFAULT_SKIP,0).
-define(DEFAULT_LIMIT,20).
-define(DEFAULT_DISTANCE,0).
-define(DEFAULT_LON, 0.0).
-define(DEFAULT_LAT,0.0).
-define(ERROR_ACCESS, {fail, {'Fail', 403, undefined}}).
-define(ERROR_FOUND, {fail, {'Fail', 404, undefined}}).
-define(ERROR_EXIST, {fail, {'Fail', 409, undefined}}).
-define(ERROR_SYNTAX, {fail, {'Fail', 415, undefined}}).
-define(ERROR_EXPIRE_TIME, {fail, {'Fail', 416, undefined}}).
-define(ERROR_UNDEF, {fail, {'Fail', 417, undefined}}).
-define(ERROR_INTERNAL, {fail, {'Fail', 500, undefined}}).
-define(ERROR_DATA, {fail, {'Fail', 503, undefined}}).
-define(ERROR_DATA_QUEUE, {fail, {'Fail', 513, undefined}}).
-define(ERROR(T), {inpin_error, T}).
